
-- Add a nice subgroup for the loaders:
data:extend({
{
    type  = "item-subgroup",
    name  = "loaders",
    group = "logistics",
    order = "ba",
},
})

-- Move loaders to that subgroup
data.raw.item["loader"].subgroup = "loaders"
data.raw.item["fast-loader"].subgroup = "loaders"
data.raw.item["express-loader"].subgroup = "loaders"

-- Make all loaders harder to craft to make them a 'not-so-obvious-to-use-everywhere' item:
data.raw.recipe["loader"].category = "crafting-with-fluid"
data.raw.recipe["loader"].ingredients = 
{
    {"stack-inserter", 10},
    {"transport-belt", 10},
    {"processing-unit", 20},
    {"iron-gear-wheel", 30},
    {type = "fluid", name = "lubricant", amount = 6},
}
data.raw.recipe["fast-loader"].ingredients =
{
    {"loader", 1},
    {"fast-transport-belt", 10},
    {"iron-gear-wheel", 20},
}
data.raw.recipe["express-loader"].ingredients =
{
    {"fast-loader", 1},
    {"express-transport-belt", 10},
    {"iron-gear-wheel", 40},
}

-- Add a tech research to make it obtainable:
data:extend({
    {
        type = "technology",
        name = "loaders",
        icon = "__base__/graphics/technology/logistics.png",
        effects = 
        {
            {
                type = "unlock-recipe",
                recipe = "loader",
            },
            {
                type = "unlock-recipe",
                recipe = "fast-loader",
            },
            {
                type = "unlock-recipe",
                recipe = "express-loader",
            },
        },
        prerequisites = {"logistics-3"},
        unit = 
        {
            count = 500,
            ingredients = 
            {
                {"science-pack-1", 1},
                {"science-pack-2", 1},
                {"science-pack-3", 1},
                {"alien-science-pack", 1},
            },
            time = 30,
        },
        order = "a-f-c",
    }
})
